Chatbot Language Settings
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The Id of the chatbot
Responses
200
The current language settings.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get/v1/chatbots/{chatbotId}/settings/languages
GET /v1/chatbots/{chatbotId}/settings/languages HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
"languages": {
"updated": "2025-10-02T16:00:00Z",
"languages": [
"DE",
"EN-GB"
],
"defaultLanguage": "DE",
"translate": true,
"defaultCluLanguage": "DE"
},
"error": "text"
}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The Id of the chatbot
Body
languagesstring[] · min: 1RequiredExample:
A list of language codes to be added.
["DE","EN-GB"]Responses
200
The updated language settings.
application/json
errorstringOptional
Optional error message.
201Success
application/json
400
Invalid input data.
403
Insufficient permissions.
post/v1/chatbots/{chatbotId}/settings/languages
POST /v1/chatbots/{chatbotId}/settings/languages HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"languages": [
"DE",
"EN-GB"
]
}{
"languages": {
"updated": "2025-10-02T16:00:00Z",
"languages": [
"DE",
"EN-GB"
],
"defaultLanguage": "DE",
"translate": true,
"defaultCluLanguage": "DE"
},
"error": "text"
}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The Id of the chatbot
Body
languagesstring[] · min: 1RequiredExample:
A list of language codes to be removed.
["FR"]Responses
200
The updated language settings.
application/json
errorstringOptional
Optional error message.
400
Invalid input data.
403
Insufficient permissions.
delete/v1/chatbots/{chatbotId}/settings/languages
DELETE /v1/chatbots/{chatbotId}/settings/languages HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 20
{
"languages": [
"FR"
]
}{
"languages": {
"updated": "2025-10-02T16:00:00Z",
"languages": [
"DE",
"EN-GB"
],
"defaultLanguage": "DE",
"translate": true,
"defaultCluLanguage": "DE"
},
"error": "text"
}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The Id of the chatbot
Body
enabledbooleanRequiredExample:
Enables or disables the automatic translation mode.
trueResponses
200
The updated status of the translation mode.
application/json
enabledbooleanOptionalExample:
The new state of the translation mode.
trueerrorstringOptional
Optional error message.
400
Invalid input data.
403
Insufficient permissions.
patch/v1/chatbots/{chatbotId}/settings/languages/translate
PATCH /v1/chatbots/{chatbotId}/settings/languages/translate HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"enabled": true
}{
"enabled": true,
"error": "text"
}Last updated